<?php
	session_start();
	require ("./Funciones/funciones.php");
	date_default_timezone_set('America/Mazatlan');
	$conexion = conecta();

	$id = $_POST['id'];

	$cat = $_POST['cat'];
	$codigo = $_POST['cod'];

	$monedac = $_POST['monedac'];
	$costo = $_POST['costo'];
	$costtot =$_POST['costtot'];

	$porc = $_POST['porc'];
	$preciov = $_POST['preciov'];
	$monedav = $_POST['monedav'];

	$porcm = $_POST['porcm'];
	$preciovm = $_POST['preciovm'];
	$monedavm = $_POST['monedavm'];

	$desperdicio = $_POST['desperdicio'];
	$unim = $_POST['unidm'];
	$tira = $_POST['tira'];
	$activado = 1;
	$eliminado = 0;
	$destacado= 0;
	$fecha = date("Y-m-d H:i:s");

	$sqlb = "SELECT * FROM Productos WHERE Codigo = '$codigo'";
	$do = mysqli_query($conexion,$sqlb);
	$resb = mysqli_fetch_array($do);
	$idprod = $resb['IdProducto'];

	$sqli = "SELECT * FROM ProductoDetalle WHERE IdProducto = '$id'";
	$doi = mysqli_query($conexion,$sqli);
	$resi = mysqli_fetch_array($doi);

	$idins = $resi['IdInsumo'];

	$sqlai = mysqli_query($conexion,"UPDATE Insumos SET Descripcion='$codigo',Codigo='$codigo',IdProveedor='$cat',PrecioCompra='$costo',Moneda='$monedac',IdUnidadMed ='$unim',Desperdicio = '$desperdicio' WHERE IdInsumo='$idins'");
	


	$sqlam= mysqli_query($conexion,"UPDATE Productos SET Nombre='$codigo',Codigo='$codigo',Fecha='$fecha',PrecioCompra='$costo',monedac='$monedac',Costtot ='$costtot',porc = '$porc',PrecioVenta='$preciov',monedav ='$monedav',porcm='$porcm',preciovm='$preciovm',monedavm='$monedavm',Desperdicio='$desperdicio',UnidadMed='$unim',PrecioTira = '$tira' WHERE IdProducto='$id'");

	echo "1";

	
	
?>
